package Common.Passes;
import Common.Database.Objects.DBObject;
import Common.Database.Tables.DBTable;
import Common.Database.Database;
import Common.Passes.Pass;
import _VisualDVM.Global;
public abstract class ObjectPass<D extends DBObject> extends Pass<D> {
    protected Class<D> d; //класс объектов.
    public ObjectPass(Class<D> d_in) {
        d = d_in;
    }
    protected Database getDb(){ return Global.mainModule.getDb();}; //источник данных
    public DBTable getTable() {
        return getDb().tables.get(d);
    } //таблица в источнике данных
    @Override
    public String getButtonText() {
        return "";
    }
}
